com.holonplatform.vaadin.flow.components.builders

## Interface DialogBuilder.QuestionDialogBuilder

- All Superinterfaces:
    ComponentConfigurator<DialogBuilder.QuestionDialogBuilder>, DeferrableLocalizationConfigurator<DialogBuilder.QuestionDialogBuilder>, DialogBuilder<DialogBuilder.QuestionDialogBuilder>, DialogConfigurator<DialogBuilder.QuestionDialogBuilder>, HasDeferrableLocalization, HasElementConfigurator<DialogBuilder.QuestionDialogBuilder>, HasSizeConfigurator<DialogBuilder.QuestionDialogBuilder>, HasStyleConfigurator<DialogBuilder.QuestionDialogBuilder>, HasTextConfigurator<DialogBuilder.QuestionDialogBuilder>
  Enclosing interface:
    DialogBuilder<B extends DialogBuilder<B>>

      public static interface DialogBuilder.QuestionDialogBuilder
      extends DialogBuilder<DialogBuilder.QuestionDialogBuilder>

  Question `Dialog` builder.

  A question dialog provides two buttons by default, shown in the dialog toolbar: one for user confirmation and one for user denial to the question contained in the dialog message. A callback can be used to react to the user choice.

  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder, DialogBuilder.QuestionDialogBuilder, DialogBuilder.QuestionDialogCallback`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator

      `DialogConfigurator.ClosableDialogConfigurator<C extends DialogConfigurator.ClosableDialogConfigurator<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `HasTextConfigurator.BaseHasTextConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `DEFAULT_CONFIRM_BUTTON_MESSAGE_CODE, DEFAULT_DENY_BUTTON_MESSAGE_CODE, DEFAULT_OK_BUTTON_MESSAGE_CODE`

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DialogBuilder.QuestionDialogBuilder` | `confirmButtonConfigurator(Consumer<ButtonConfigurator.BaseButtonConfigurator> configurator)` Provide a `Consumer` to configure the default user confirmation button.
    `DialogBuilder.QuestionDialogBuilder` | `denialButtonConfigurator(Consumer<ButtonConfigurator.BaseButtonConfigurator> configurator)` Provide a `Consumer` to configure the default user denial button.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `build, confirm, message, open, question`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator

      `withComponent, withComponent, withOpenedChangeListener, withToolbarComponent, withToolbarComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `create, create, text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### confirmButtonConfigurator

          DialogBuilder.QuestionDialogBuilder confirmButtonConfigurator(Consumer<ButtonConfigurator.BaseButtonConfigurator> configurator)

      Provide a `Consumer` to configure the default user confirmation button.
      Parameters:
        `configurator` - The button configurator (not null)
      Returns:
        this

    - #### denialButtonConfigurator

          DialogBuilder.QuestionDialogBuilder denialButtonConfigurator(Consumer<ButtonConfigurator.BaseButtonConfigurator> configurator)

      Provide a `Consumer` to configure the default user denial button.
      Parameters:
        `configurator` - The button configurator (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.